/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libyang", "index.html", [
    [ "About", "index.html", [
      [ "Main Features", "index.html#about-features", null ],
      [ "License", "index.html#about-license", null ]
    ] ],
    [ "Building libyang", "build.html", [
      [ "Requirements", "build.html#buildRequirements", [
        [ "Building Requirements", "build.html#buildRequirementsCompile", [
          [ "Optional Requirements", "build.html#buildRequirementsCompileOptional", null ]
        ] ],
        [ "Runtime Requirements", "build.html#buildRequirementsRun", null ]
      ] ],
      [ "Building", "build.html#buildCommands", null ],
      [ "Build Types", "build.html#buildTypes", [
        [ "Release", "build.html#buildTypesRelese", null ],
        [ "Debug", "build.html#buildTypesDebug", null ],
        [ "ABICheck", "build.html#buildTypesABICheck", null ],
        [ "DocOnly", "build.html#buildTypesDocOnly", null ]
      ] ]
    ] ],
    [ "Transition Manual (1.x -> 2.0)", "transition.html", [
      [ "General Changes", "transition.html#transitionGeneral", [
        [ "Errors Handling", "transition.html#transitionGeneralErros", null ],
        [ "Input / Output Processing", "transition.html#transitionGeneralInOut", null ],
        [ "Output Formatting", "transition.html#transitionGeneralOutputFormatting", null ],
        [ "Addressing", "transition.html#transitionGeneralXPath", null ]
      ] ],
      [ "Context", "transition.html#transitionContext", null ],
      [ "YANG Modules (Schema)", "transition.html#transitionSchemas", null ],
      [ "Data Instances", "transition.html#transitionData", null ]
    ] ],
    [ "libyang API Overview", "howto.html", "howto" ],
    [ "Modules", "modules.html", "modules" ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Structure Index", "classes.html", null ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Variables", "functions_vars.html", "functions_vars" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"group__dataparseroptions.html#gacdf30dff3b9a91e7a465a741bc24d316",
"group__errors.html#ggabfc4235478f06567d878806b8c0c6992ad48351d2fc2d39b9a5b6527d1c442e08",
"group__plugins_extensions.html#gga7cb1dc32154d33bc5ac5e60aec143be3a04d0770c7fe3d51a9c2d33c687176efa",
"group__plugins_types.html#ga55904b6dabb1e677bc1b7533f125e533",
"group__schemanodetypes.html#ga5e3cfb5db05819368b15ef900c711bf6",
"group__schematree.html#a4e5868d676cb634aa75b125a0f741abf",
"group__schematree.html#ab068931cc450442b63f5b3d276ea4297",
"group__schematree.html#ga34eb9a57e439c190181826ca1acf3a85",
"group__schematree.html#unionlysp__node__leaf_8____unnamed____",
"hash__table_8h_source.html",
"tree__data_8h.html#a013d09af1fb1257dc89a17af2feed968",
"tree__data_8h.html#structlyd__node__term"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';